cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!'
    },

    // use this for initialization
    onLoad: function () {
        this.label.string = this.text;
        console.log(window.innerWidth);
        console.log(window.innerHeight);
        console.log(this.node.getComponent(cc.Canvas)._designResolution.width);
        this.node.getComponent(cc.Canvas)._designResolution.width = window.innerWidth;
        this.node.getComponent(cc.Canvas)._designResolution.height = window.innerHeight;
    },

    // called every frame
    update: function (dt) {

    },
});
